/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: HttpException.java,v 1.1 2005/05/11 17:48:20 rampil Exp $
 */
package org.logical_paradox.httpd.exception;

/**
 * HTTPステータスエラー例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class HttpException extends Exception {
	/** HTTPステータスコード */
	private final int errorCode;

	/**
	 * コンストラクタ
	 * @param ec エラーコード
	 */
	public HttpException(int ec) {
		super();
		errorCode = ec;
	}
	/**
	 * コンストラクタ
	 * @param ec エラーコード
	 * @param msg メッセージ
	 */
	public HttpException(int ec, String msg) {
		super(msg);
		errorCode = ec;
	}
	/**
	 * コンストラクタ
	 * @param ec エラーコード
	 * @param e 元になった例外
	 */
	public HttpException(int ec, Exception e) {
		super(e);
		errorCode = ec;
	}
	/**
	 * HTTPステータスコードを返す
	 * @return エラーコード
	 */
	public int getHttpStatusCode() {
		return errorCode;
	}
}
